df -h
rpi-update 
apt-get remove minecraft-pi
apt-cache search youtube
dpkg -l | grep youtu
apt-get --purge remove youtube-dl youtube-dlg
dpkg -l | grep brase
apt-get --purge remove brasero brasero-cdrkit brasero-common
dpkg -l | grep vlc
apt-get --purge remove vlc vlc-data vlc-nox vlc-plugin-notify
apt-get remove scratch idle sonic-pi
apt-cache search idle
dpkg -l | grep idle
apt-get remove scratch idle-python2.7 idle-python3.5 idle3
apt-get remove hexchat pidgin transmission
apt-cache search transmission
apt-get remove transgui
dpkg -l | grep tran
apt-get remove --purge transmission-gtk transmission-common
apt-get install aufs
apt-cache search aufs
apt-get install aufs-tools
apt-get install remmina xfreerdp
apt-cache search freerdp
apt-get install freerdp-x11
apt-get install remmina 
apt-get install vnc4server xrdp
apt-get install fhe
apt-cache search fh
apt-cache search fhe
apt-cache search feg
apt-cache search feh
apt-get install feh shutter
apt-get auto-remove
reboot; exit
vi /etc/rc.local 
halt
apt-cache search logread
apt-get install busybox-syslogd
ping www.google.de
htop
ps
ps aux
top
apt-cache search unattended
apt-get --purge remove unattended-upgrade
apt-get --purge remove unattended-upgrades
top
kill 2001
apt-get --purge remove unattended-upgrades
apt-get install busybox-syslogd
man aufs
cd /usr/share/doc
ls
cd aufs-tools/
ls
cd examples/
ls
cd auroot/
ls
less auroot 
less README.txt 
zcat Robert.Wotzlaw.txt.gz 
apt-get install busybox-syslogd
man init
cd /etc/init
ls
vi console-setup.conf 
vi lightdm.conf 
vi /etc/lightdm/lightdm-gtk-greeter.conf
cd /etc/lightdm/
ls
vi users.conf 
cd lightdm-gtk-greeter.conf.d/
ls
vi 99_ubuntu-mate.conf 
cd /etc/default/
ls
cd ..
man lightdm
man lightdm.conf

apt-cache search lightdm
cd light
cd lightdm/
ls
vi lightdm-gtk-greeter.conf
cd lightdm-gtk-greeter.conf.d/
ls
vi 99_ubuntu-mate.conf 
/etc/init.d/lightdm restart
cd /etc/lightdm/
ls
cd lightdm-gtk-greeter.conf.d/
ls
cp 99_ubuntu-mate.conf 98_tuxmania.conf
vi 98_tuxmania.conf 
/etc/init.d/lightdm restart
ps aux | grep lightd
/etc/init.d/lightdm stop
ps aux | grep lightd
/etc/init.d/lightdm start
dpkg -l | grep lightdm
apt-get search lightdm
apt-cache search lightdm
cd /usr/share/
cd doc
ls
cd lightdm
ls
less keys.conf 
zcat lightdm.conf.gz | less
cd ..
cd etc/
ls
cd light
lsd
cd lightdm/
ls
vi lightdm-gtk-greeter.conf
vi users.conf 
zcat /usr/share/doc/lightdm/lightdm.conf.gz > lightdm.conf
vi lightdm.conf 
apt-get install vim
vi lightdm.conf 
cd
vi /etc/fstab 
reboot; exit
cd /etc/light
cd /etc/lightdm/
ls
vi lightdm.conf 
nano lightdm.conf 
/etc/init.d/lightdm restart
logread 
/etc/init.d/lightdm start
logread 
df
ifconfig 
/usr/share/doc
ls
/usr/share/doc
cd /usr/share/doc
cd auu
ls
cd aufs-tools
ls
cd ex
cd examples
ls
cd auroot
ls
./auroot 
./auroot  /
mount -o
mount -
mount 
vi /etc/fstab 
mount -o remount,rw /
vi /etc/fstab 
cd /tmp/
ls
cd
vi /etc/fstab 
reboot
mkdir /tmp/m1
mkdir /tmp/m2
mount -t aufs -o br=/tmp/m1:/home/tuxmania none /tmp/m2
modprobe aufs
cd /lib/modules
ls
cd 4.4.43-v7+/
cd ..
find -name '*aufs*'
apt-cache search ufs | grep kernel
apt-cache search fs | grep kernel
apt-cache search fs | grep squash
cd /usr/share/
ls
cd doc
ls
cd aufs-tools/
ls
less README 
mount.aufs 
modprobe aufs4
apt-get install git
apt-cache search kernel-heade
cd /usr/src/
ls
rpi-update --help
cd /boot
ls
ls -al
mount -o  remount /boot
man rpi-update
which rpi-update
vi /usr/bin/rpi-update 
cd
apt-cache search headers
apt-cache search headers | grep linux
uname -a
uname -r 
apt-cache search headers | grep $(uname -r)
modprobe squashfs
apt-get install squashfs-tools
modprobe overlayfs
apt-cache search overlay
apt-get install overlayroot
df -h
vi /etc/fstab 
man fstab
man fs
/etc/init.d/lightdm stop 
df -h
ps aux | grep xrdp
ps aux | grep vnc
ps aux | grep vnc4
man vnc4server
cd /home/
ls
cd thinclient/
ls
ls -al
sudo -s thinclient
sudo thinclient
su thinclient -
exit
cd
df
cd /etc/default/
ls
ls -al
vi busybox-syslogd 
ls
vi aufs 
ls
ifconfig 
top
df -h
cd /etc/default/
ls
vi cryptdisks 
ls
apt-get remove aufs-tools
df
cd /tmp/
ls
df -h
vi /etc/fstab 
mount -o remount,rw /
vi /etc/fstab 
mount-a
mount -a
df
df -ha
cd /tmp/
ls
ls-al
ls -al
cp /usr/share/doc/aufs-tools/examples/auroot/auroot /sbin/
cd 
auroot /
apt-cache search aufs
apt-cache search aufs | grep aufs
apt-cache search aufs | grep ufs
apt-get dist-upgrade
apt-get install overlayroot
ifconfig 
apt-get install overlayroot
rm /sbin/auroot 
man overlayroot
cd /usr/share/doc
cd overlayroot/
ls
zcat changelog.gz 
zcat changelog.gz  | less
cd /etc/
ls
vi overlayroot.conf 
apt-get autoremove
apt-get autoclean
dpkg -l | grep game
reboot; exit
df
vi /etc/fstab 
df
cd /etc/
mount -o remount,rw /
vi /etc/overlayroot.conf 
reboot; exit
mount -a
mount 
mount -o remount,rw 
mount -o remount,rw  / 
logread 
logread  | grep tmpfs
logread  | grep over
ps aux | grep overl
vi /etc/fstab 
reboot; exit
mount
df -h
ps aux 
ps aux | grep overlay
ps aux | grep overl
cd /etc/default/
ls
man overlayroot
cd /usr/share/doc
ls
cd overlayroot/
ls
overlayroot-chroot 
cd
overlayroot-chroot /
readlink 
logread 
overlayroot-chroot /
overlayroot-chroot /dev/mmcblk0p1 
overlayroot-chroot /dev/mmcblk0p2
modprobe overlay7
vi /usr/share/initramfs-tools/hooks/overlayroot 
vi /usr/share/initramfs-tools/init 
overlayroot-chroot 
cd /usr/share/initramfs-tools/scripts/init-bottom/
ls
vi overlayroot 
overlayroot-chroot 
lsmod | grep overlay
modprobe overlayfs
reboot;exit
dmesg
ifconfig 
df
apt-cache search overlay
apt-get --purge remove overlayroot
apt-cache search linux-kernel
apt-cache search linux-k
apt-cache search linux
apt-cache search linux | grep kernel
apt-cache search linux | grep image
mount -o remount,rw /boot
apt-get install linux-image-4.8.0-34-generic
reboot
cd /usr/src/
ls
git
git clone --depth=1 https://github.com/raspberrypi/linux
cd linux/

KERNEL=kernel7
make bcm2709_defconfig
make -j4 bcm2709_defconfig
make menuconfig
apt-get install libncurses5-dev
make menuconfi
make -j4 zImage modules dtbs
make modules_install
cp arch/arm/boot/dts/*.dtb /boot
cp arch/arm/boot/dts/overlays/*.dtb* /boot
cp arch/arm/boot/dts/overlays/*.dtb* /boot/overlays/
cp arch/arm/boot/dts/overlays/README /boot/overlays/
scripts/mkknlimg arch/arm/boot/zImage /boot/$KERNEL.img
cd /boot
ls
cd overlays/
ls
cd ..
rm *.dtbo
ls -al
cd /usr/src/
ls
cd linux/
ls
cd arch/arm/boot/dts/overlays/
ls
cd
cd /lib/modules
ls
cd 4.4.43-v7+/
ls
find -name '*aufs*'
find -name '*overlay*'
reboot
cd /usr/src/
ls
apt-get install git
apt-get install git bc make
apt-get --purge remove linux-image-4.8.0-34-generc
apt-get --purge remove linux-image-4.8.0-34-generic
mount -o remount,rw /boot
apt-get --purge remove linux-image-4.8.0-34-generic
apt-get install htop
htop
cd /lib/mod
cd /lib/modules
ls
ls -al
cd
df
cd /lib/modules
ls
cd 4.4.43
cd 4.4.43-v7+/
ls
find -name '*ufs*'
cd
apt-get install overlayroot
cd /usr/share/
which overlayroot
which overlayroot-chroot
vi /usr/sbin/overlayroot-chroot 
lsmod | grep overlay
modprobe overlayfs
modprobe overlay
cd
overlayroot-chroot /
cd /usr/share/
sl
ls
cd initramfs-tools/
ls
vi modules
lsmod | grep overlay
ls
d hooks/
ls
cd hooks/
ls
vi overlayroot 
cd ..
cd scripts/
ls
cd init-bottom/
ls
vi overlayroot 
update-initramfs 
update-initramfs -u
vi /etc/overlayroot.conf 
reboot; xit
df -h
overlayroot-chroot /
apt-get --purge remove overlayrot
apt-get --purge remove overlayroot
dpkg -l | grep armor
apt-get --purge remove apparmor
cd /usr/src/
ls
git clone git://github.com/sfjro/aufs4-standalone.git
ls
cd aufs4-standalone/
ls
ls -al
vi README 
git checkout origin/aufs4.0
ls
less README 
cd ..
ls
cd linux/
ls
make menuconfig
ls
cd ..
ls
cd aufs4-standalone/
ls
make
uname -r
mkdir /overlay
cd
man overlay
apt-get remove logrotate triggerhappy dphys-swapfile 
apt-get autoremove --purge
vi /etc/fstab 
cd /var/run
ls
cd ..
cd log/
ls
vi /etc/fstab 
mkdir /mnt/log-overlay
mkdir /mnt/run-overlay
vi /etc/fstab 
cd /mnt/
ls
reboot
mount -t overlay lowerdir=/ overlay /
mount -t overlay -o lowerdir=/ overlay /
dmesg
cd /mnt/
ls
cd ..
mount -t overlay -o lowerdir=/var/log overlay /mnt/log-overlay/
dmesg | less
mount -t overlay -o lowerdir=/var/log  /mnt/log-overlay/ /var/log
dmesg | tail
mount -t overlay -o lowerdir=/var/log,upperdir=/var/log overlay  /mnt/log-overlay
dmesg | tail
mount -t overlay -o lowerdir=/var/log,upperdir=/var/log,workdir=/mnt/log-overlay overlay  /var/log
dmesg
df
mkdir /mnt/root-overlay
df -h
mount -t overlay -o lowerdir=/,upperdir=/,workdir=/mnt/root-overlay overlay  /
dmesg|tail
cd /var/log/
ls
touch test
ls -al
cd /mnt/log-overlay/
ls
cd work/
ls
cd ..
cd
df
umount /var/log 
cd /var/log/
ls
rm -rf test
apt-cache search unionfs
modprobe unionfs
apt-get install unionfs-fuse
cd /mnt/
ls
rm -rf log-overlay/ root-overlay/ run-overlay/
mkdir root.ro root.rw
mount -o ro /mnt/root.ro/
mount -o ro /mnt/root.ro
mount -o ro /mnt/root.ro /dev/mmcblk0p2 
mount -o ro /dev/mmcblk0p2 
df
mount -o ro,bind / /mnt/root.ro 
mount -t tmpfs root.rw root.rw
ls -al
mount -t unionfs -o dirs=/mnt/root.rw=rw:/mnt/root.ro=ro unionfs /
man fuse
man mount fuse
mount -t fuse.unionfs -o dirs=/mnt/root.rw=rw:/mnt/root.ro=ro unionfs /
mount -t fuse.unionfs -o dirs=/mnt/root.rw=rw:/mnt/root.ro=ro fuse.unionfs /
mount -t fuse.unionfs -o dirs=/mnt/root.rw=rw:/mnt/root.ro=ro /
mkdir unionfs
mount -t fuse.unionfs -o dirs=/mnt/root.rw=rw:/mnt/root.ro=ro unionfs /
df
cd root.ro/
ls
cd ..
unionfs
which unionfs
man unionfs
ls
umount root.rw/
umount root.ro
umount unionfs/
df
mount -t aufs -o br:/mnt/root-ro=RW:/mnt/root-rw=RW none /mnt/unionfs
mount -t unionfs -o br:/mnt/root-ro=RW:/mnt/root-rw=RW none /mnt/unionfs
mount -t unionfs-fuse -o br:/mnt/root-ro=RW:/mnt/root-rw=RW none /mnt/unionfs
unionfs-fuse -o br:/mnt/root-ro=RW:/mnt/root-rw=RW none /mnt/unionfs
unionfs-fuse -o br:/mnt/root-ro=RW:/mnt/root-rw=RW  /mnt/unionfs
unionfs-fuse -o br:/mnt/root-ro=RW:/mnt/root-rw=RW / /mnt/unionfs
unionfs-fuse - / /mnt/unionfs
unionfs-fuse  / /mnt/unionfs
fg
df -h
cd /mnt/
ls
umount /mnt/unionfs 
mount -t overlay /dev/mmcblk0p2  /
ls
mount -t tmpfs root.rw root.rw/
df
mount -t overlay none -o lowerdir=/,upperdir=/mnt/root.rw /
mount -t overlay none -o lowerdir=/,upperdir=/mnt/root.rw /mnt/unionfs
mount -t overlay none -o lowerdir=/,upperdir=/mnt/root.rw,workdir=/mnt/unionfs /
mount -t overlay none -o lowerdir=/,upperdir=/mnt/root.rw,workdir=/mnt/unionfs /mnt/unionfs
mount -t overlay none -o lowerdir=/,upperdir=/mnt/root.rw,workdir=/mnt/root.rw /mnt/unionfs
mount -t overlay none -o lowerdir=/,upperdir=/mnt/root.rw,workdir=/mnt/unionfs  /mnt/unionfs
mount -t overlay none -o lowerdir=/,upperdir=/mnt/root.rw,workdir=/mnt/unionfs  /
mount -t overlay none -o lowerdir=/mnt/root.ro,upperdir=/mnt/root.rw,workdir=/mnt/unionfs  /
mount -o ro,bind / /mnt/root.ro
df -h
mount -t overlay none -o lowerdir=/mnt/root.ro,upperdir=/mnt/root.rw,workdir=/mnt/unionfs  /
mount -t overlay none -o lowerdir=/mnt/root.ro,upperdir=/mnt/root.rw,workdir=/mnt/unionfs  /mnt/unionfs
ls
mkdir root.workdir
mount -t overlay none -o lowerdir=/mnt/root.ro,upperdir=/mnt/root.rw,workdir=/mnt/root.workdir  /mnt/unionfs
mount -t overlay none -o lowerdir=/mnt/root.ro,upperdir=/mnt/root.rw,workdir=/mnt/root.rw  /mnt/unionfs
mount -t overlay -o lowerdir=/mnt/root.ro,upperdir=/mnt/root.rw,workdir=/mnt/root.workdir overlay  /mnt/unionfs
mount -t overlay -o lowerdir=/mnt/root.ro:/mnt/root.rw overlay  /mnt/unionfs
ls
cd unionfs/
ls
touch test
cd ..
umount unionfs/
mount -t overlay -o lowerdir=/mnt/root.rw:/mnt/root.ro overlay  /mnt/unionfs
cd unionfs/
ls
toucht test
touch test
ls
mount
cd ..
umount unionfs/
mount
mount -t overlay -o lowerdir=/mnt/root.rw:/mnt/root.ro overlay  /mnt/unionfs
mount
cd unionfs/
touch test
cd ..
umount unionfs/
mount -t overlay -o lowerdir=/mnt/root.ro,upperdir=/mnt/root.rw,workdir=/mnt/root.workdir overlay  /mnt/unionfs
dmesg|tail
cd
apt-get install overlayroot
which overlay
which overlayroot-chroot 
vi /usr/sbin/overlayroot-chroot 
overlayroot-chroot 
vi /usr/sbin/overlayroot-chroot 
vi /etc/overlayroot.conf 
update-initramfs 
update-initramfs -u
cd /boot
ls
ls -alh
mount -o remount,rw /boot
vi cmdline.txt 
reboot
df -h
mount
overlayroot-chroot 
ifconfig 
df
cat > root-ro.sh
chmod 750 root-ro.sh 
./root-ro.sh 
vi root-ro.sh 
rm root-ro.sh 
wget https://github.com/hansrune/domoticz-contrib/raw/master/utils/mount_overlay
sed -i 's#/bin/sh#/bin/bash#g' ./mount_overlay
wget https://github.com/hansrune/domoticz-contrib/raw/master/init.d/saveoverlays-jessie
mv saveoverlays-jessie saveoverlays
sed -i 's#/bin/sh#/bin/bash#g' ./saveoverlays
ls -al
ls
chmod a+rx saveoverlays mount_overlay
sudo cp mount_overlay /usr/local/bin
sudo cp saveoverlays /etc/init.d/
# For raspian Jessie and later, also do
sudo systemctl disable dphys-swapfile
sudo cp -v /boot/cmdline.txt /boot/cmdline.txt-orig
sudo cp -v /etc/fstab /etc/fstab-orig
cd /var
cd
sudo apt-get install fuse lsof
cd /usr/local/bin/
ls
vi mount_overlay 
ls
cat > mount_overlay.nw
diff mount_overlay mount_overlay.nw 
sudo systemctl enable saveoverlays.service
find /etc/init* /etc/rc* | grep saveover
mount -o remount,rw /boot
ls
cd /boot
ls
vi cmdline.txt 
vi /etc/fstab
sudo service domoticz.sh stop
sudo service nodered stop
sudo service influxdb stop
sudo service mosquitto stop
sudo service ntp stop
sudo service rsyslog stop
/etc/init.d/lightdm stop
lsof /var/
lsof /var
sudo mv /home /home_org
sudo mkdir /home /home_rw 
sudo mv /var /var_org
sudo mkdir /var /var_rw
mount /var
mount /home
df
reboot
/etc/init.d/lightdm stop
mount -o remount,rw 
mount -o remount,rw  /
mount -o bind /home_org/ /home/
cd /hom
cd /home
ls
cd thinclient/
ls
ls -al
rm -rf .cache/ .config/ .dbus/ .dmrc .ICEauthority .local/ .profile .remmina/ .Xauthority .xsession-errors .xsession-errors
ls -al
rm .xsession-errors.old 
/etc/init.d/lightdm start
/etc/init.d/lightdm stop
/etc/init.d/lightdm start
/etc/init.d/lightdm stop
logread 
df -h
mount
ls -alh
rm -rf Bilder/ Dokumente/ Downloads/ Musik/ Öffentlich/ Schreibtisch/ Videos/ Vorlagen/ .vnc/
cd /home_org/
ls
cd thinclient/
ls -alh
/etc/init.d/lightdm start
/etc/init.d/lightdm stop
su - thinclient
su - tuxmania
cd
deluser thinclient
ls -al
cd /home
ls
mv thinclient/ thinclient.old
adduser thinclient
su - thinclien
su - thinclient
cd
apt-cache search imagemagick
apt-cache search imagemagick | grep imagemagick
df
mount -o bind /var_org/ /var
df
apt-get install imagemagick imagemagick-doc
reboot
mount -o remount,rw /
systemctl 
systemctl  | grep update
systemctl  | grep apt
systemctl disable apt-daily.service
systemctl disable 
systemctl  | grep update
systemctl  | grep apt
systemctl stop apt-daily.service
systemctl  | grep apt
systemctl disable apt-daily.service
systemctl  | grep apt
mount -a
df
mount
vi /etc_org/rc.local 
mount -o remount,ro /
reboot; exit
